diff --git a/src/parser.c b/src/parser.c
index 159ffd4..f2804cf 100644
--- a/src/parser.c
+++ b/src/parser.c
@@ -133,6 +133,7 @@
 #define RULE_PROTO_OPT__IP    "ip"
 #define RULE_PROTO_OPT__TCP   "tcp"
 #define RULE_PROTO_OPT__UDP   "udp"
+#define RULE_PROTO_OPT__SCTP  "sctp"
 #define RULE_PROTO_OPT__ICMP  "icmp"
 
 #define RULE_DIR_OPT__DIRECTIONAL    "->"
@@ -258,6 +259,8 @@
 #define CHECKSUM_MODE_OPT__NO_TCP   "notcp"
 #define CHECKSUM_MODE_OPT__UDP      "udp"
 #define CHECKSUM_MODE_OPT__NO_UDP   "noudp"
+#define CHECKSUM_MODE_OPT__SCTP     "sctp"
+#define CHECKSUM_MODE_OPT__NO_SCTP  "nosctp"
 #define CHECKSUM_MODE_OPT__ICMP     "icmp"
 #define CHECKSUM_MODE_OPT__NO_ICMP  "noicmp"
 
@@ -463,6 +466,7 @@ static port_list_t port_list;
 
 static rule_count_t tcpCnt;
 static rule_count_t udpCnt;
+static rule_count_t sctpCnt;
 static rule_count_t icmpCnt;
 static rule_count_t ipCnt;
 
@@ -804,7 +808,7 @@ static void PortTablesFinish(rule_port_tables_t *, FastPatternConfig *);
 static rule_port_tables_t * PortTablesNew(void);
 static int FinishPortListRule(rule_port_tables_t *, RuleTreeNode *, OptTreeNode *,
                               int, port_entry_t *, FastPatternConfig *);
-static PortObject * ParsePortListTcpUdpPort(PortVarTable *, PortTable *, char *);
+static PortObject * ParsePortListProtosWithPorts(PortVarTable *, PortTable *, char *);
 static int ParsePortList(RuleTreeNode *, PortVarTable *, PortTable *, char *, int, int);
 static void ParseRule(SnortConfig *, SnortPolicy *, char *, RuleType, ListHead *);
 static void TransferOutputConfigs(OutputConfig *, OutputConfig **);
@@ -1210,6 +1214,7 @@ static void DumpRuleChains(RuleListNode *rule_lists)
         DumpChain(rule->name, rule->mode, ETHERNET_TYPE_IP);
         DumpChain(rule->name, rule->mode, IPPROTO_TCP);
         DumpChain(rule->name, rule->mode, IPPROTO_UDP);
+        DumpChain(rule->name, rule->mode, IPPROTO_SCTP);
         DumpChain(rule->name, rule->mode, IPPROTO_ICMP);
 
         rule = rule->next;
@@ -1277,7 +1282,7 @@ static void DumpList(IpAddrNode *idx, int negated)
 /*
  * Finish adding the rule to the port tables
  *
- * 1) find the table this rule should belong to (src/dst/any-any tcp,udp,icmp,ip or nocontent)
+ * 1) find the table this rule should belong to (src/dst/any-any tcp,udp,sctp,icmp,ip or nocontent)
  * 2) find an index for the sid:gid pair
  * 3) add all no content rules to a single no content port object, the ports are irrelevant so
  *    make it a any-any port object.
@@ -1327,6 +1332,14 @@ static int FinishPortListRule(rule_port_tables_t *port_tables, RuleTreeNode *rtn
         ncObject = port_tables->icmp_nocontent;
         prc = &icmpCnt;
     }
+    else if (proto == IPPROTO_SCTP)
+    {
+        dstTable = port_tables->sctp_dst;
+        srcTable = port_tables->sctp_src;
+        aaObject = port_tables->sctp_anyany;
+        ncObject = port_tables->sctp_nocontent;
+        prc = &sctpCnt;
+    }
     else if (proto == ETHERNET_TYPE_IP)
     {
         dstTable = port_tables->ip_dst;
@@ -1409,8 +1422,8 @@ static int FinishPortListRule(rule_port_tables_t *port_tables, RuleTreeNode *rtn
         {
             /* Add the IP rules to the higher level app protocol groups, if they apply
              * to those protocols.  All IP rules should have any-any port descriptors
-             * and fall into this test.  IP rules that are not tcp/udp/icmp go only into the
-             * IP table */
+             * and fall into this test.  IP rules that are not tcp/udp/sctp/icmp go only
+             * into the IP table */
             DEBUG_WRAP(DebugMessage(DEBUG_PORTLISTS,
                                     "Finishing IP any-any rule %u:%u\n",
                                     otn->sigInfo.generator,otn->sigInfo.id););
@@ -1432,6 +1445,11 @@ static int FinishPortListRule(rule_port_tables_t *port_tables, RuleTreeNode *rtn
                     icmpCnt.aa++;
                     break;
 
+                case IPPROTO_SCTP:
+                    PortObjectAddRule(port_tables->sctp_anyany, rim_index);
+                    sctpCnt.aa++;
+                    break;
+
                 case -1:  /* Add to all ip proto anyany port tables */
                     PortObjectAddRule(port_tables->tcp_anyany, rim_index);
                     tcpCnt.aa++;
@@ -1439,6 +1457,9 @@ static int FinishPortListRule(rule_port_tables_t *port_tables, RuleTreeNode *rtn
                     PortObjectAddRule(port_tables->udp_anyany, rim_index);
                     udpCnt.aa++;
 
+                    PortObjectAddRule(port_tables->sctp_anyany, rim_index);
+                    sctpCnt.aa++;
+
                     PortObjectAddRule(port_tables->icmp_anyany, rim_index);
                     icmpCnt.aa++;
 
@@ -1454,7 +1475,7 @@ static int FinishPortListRule(rule_port_tables_t *port_tables, RuleTreeNode *rtn
         }
         else
         {
-            /* For other protocols-tcp/udp/icmp add to the any any group */
+            /* For other protocols-tcp/udp/sctp/icmp add to the any any group */
             PortObjectAddRule(aaObject, rim_index);
             prc->aa++;
         }
@@ -1560,8 +1581,8 @@ static int FinishPortListRule(rule_port_tables_t *port_tables, RuleTreeNode *rtn
 *  to build PORT_GROUP objects. Those are generated after the otn processing.
 *
 */
-static PortObject * ParsePortListTcpUdpPort(PortVarTable *pvt,
-                                            PortTable *noname, char *port_str)
+static PortObject * ParsePortListProtosWithPorts(PortVarTable *pvt,
+                                                PortTable *noname, char *port_str)
 {
     PortObject * portobject;
     //PortObject * pox;
@@ -1710,18 +1731,18 @@ int GetOtnIcmpType(OptTreeNode * otn )
  *   Process the rule, add it to the appropriate PortObject
  *   and add the PortObject to the rtn.
  *
- *   TCP/UDP rules use ports/portlists, icmp uses the icmp type field and ip uses the protocol
+ *   TCP/UDP/SCTP rules use ports/portlists, icmp uses the icmp type field and ip uses the protocol
  *   field as a dst port for the purposes of looking up a rule group as packets are being
  *   processed.
  *
- *   TCP/UDP- use src/dst ports
- *   ICMP   - use icmp type as dst port,src=-1
- *   IP     - use protocol as dst port,src=-1
+ *   TCP/UDP/SCTP - use src/dst ports
+ *   ICMP         - use icmp type as dst port, src=-1
+ *   IP           - use protocol as dst port, src=-1
  *
- *   rtn - proto_node
- *   port_str - port list string or port var name
- *   proto - protocol
- *   dst_flag - dst or src port flag, true = dst, false = src
+ *   rtn          - proto_node
+ *   port_str     - port list string or port var name
+ *   proto        - protocol
+ *   dst_flag     - dst or src port flag, true = dst, false = src
  *
  */
 static int ParsePortList(RuleTreeNode *rtn, PortVarTable *pvt, PortTable *noname,
@@ -1730,9 +1751,9 @@ static int ParsePortList(RuleTreeNode *rtn, PortVarTable *pvt, PortTable *noname
     PortObject *portobject = NULL;  /* src or dst */
 
     /* Get the protocol specific port object */
-    if( proto == IPPROTO_TCP || proto == IPPROTO_UDP )
+    if( proto == IPPROTO_TCP || proto == IPPROTO_UDP || proto == IPPROTO_SCTP )
     {
-        portobject = ParsePortListTcpUdpPort(pvt, noname, port_str);
+        portobject = ParsePortListProtosWithPorts(pvt, noname, port_str);
     }
     else /* ICMP, IP  - no real ports just Type and Protocol */
     {
@@ -3176,6 +3197,10 @@ static int GetRuleProtocol(char *proto_str)
     {
         return IPPROTO_UDP;
     }
+    else if (strcasecmp(proto_str, RULE_PROTO_OPT__SCTP) == 0)
+    {
+        return IPPROTO_SCTP;
+    }
     else if (strcasecmp(proto_str, RULE_PROTO_OPT__ICMP) == 0)
     {
         return IPPROTO_ICMP;
@@ -4360,6 +4385,7 @@ static void LinkDynamicRules(SnortConfig *sc)
 
     SetLinks(sc, IPPROTO_TCP);
     SetLinks(sc, IPPROTO_UDP);
+    SetLinks(sc, IPPROTO_SCTP);
     SetLinks(sc, IPPROTO_ICMP);
 }
 
@@ -4662,7 +4688,8 @@ int CheckRuleStates(SnortConfig *sc)
             }
 
             if ((rtn->proto == IPPROTO_TCP) || (rtn->proto == IPPROTO_UDP) ||
-                (rtn->proto == IPPROTO_ICMP) || (rtn->proto == ETHERNET_TYPE_IP))
+                (rtn->proto == IPPROTO_ICMP) || (rtn->proto == IPPROTO_SCTP) ||
+                (rtn->proto == ETHERNET_TYPE_IP))
             {
                 //do operation
                 if ( otn->sigInfo.shared )
@@ -4765,7 +4792,7 @@ void SetRuleStates(SnortConfig *sc)
         otn->rule_state = rule_state->state;
     }
 
-    /* Check TCP/UDP/ICMP/IP in one iteration for all rulelists and for all policies*/
+    /* Check TCP/UDP/SCTP/ICMP/IP in one iteration for all rulelists and for all policies*/
     err = CheckRuleStates(sc);
     if (err)
         oneErr = 1;
@@ -5697,6 +5724,7 @@ static void InitParser(void)
 
     memset(&tcpCnt, 0, sizeof(tcpCnt));
     memset(&udpCnt, 0, sizeof(udpCnt));
+    memset(&sctpCnt, 0, sizeof(sctpCnt));
     memset(&ipCnt, 0, sizeof(ipCnt));
     memset(&icmpCnt, 0, sizeof(icmpCnt));
 
@@ -5787,12 +5815,12 @@ void ParseRules(SnortConfig *sc)
     PortTablesFinish(sc->port_tables, sc->fast_pattern_config);
 
     LogMessage("+-------------------[Rule Port Counts]---------------------------------------\n");
-    LogMessage("|%8s%8s%8s%8s%8s\n", " ", "tcp", "udp", "icmp", "ip");
-    LogMessage("|%8s%8u%8u%8u%8u\n", "src", tcpCnt.src, udpCnt.src, icmpCnt.src, ipCnt.src);
-    LogMessage("|%8s%8u%8u%8u%8u\n", "dst", tcpCnt.dst, udpCnt.dst, icmpCnt.dst, ipCnt.dst);
-    LogMessage("|%8s%8u%8u%8u%8u\n", "any", tcpCnt.aa, udpCnt.aa, icmpCnt.aa, ipCnt.aa);
-    LogMessage("|%8s%8u%8u%8u%8u\n", "nc", tcpCnt.nc, udpCnt.nc, icmpCnt.nc, ipCnt.nc);
-    LogMessage("|%8s%8u%8u%8u%8u\n", "s+d", tcpCnt.sd, udpCnt.sd, icmpCnt.sd, ipCnt.sd);
+    LogMessage("|%8s%8s%8s%8s%8s%8s\n", " ", "tcp", "udp", "sctp", "icmp", "ip");
+    LogMessage("|%8s%8u%8u%8u%8u%8u\n", "src", tcpCnt.src, udpCnt.src, sctpCnt.src, icmpCnt.src, ipCnt.src);
+    LogMessage("|%8s%8u%8u%8u%8u%8u\n", "dst", tcpCnt.dst, udpCnt.dst, sctpCnt.dst, icmpCnt.dst, ipCnt.dst);
+    LogMessage("|%8s%8u%8u%8u%8u%8u\n", "any", tcpCnt.aa, udpCnt.aa, sctpCnt.aa, icmpCnt.aa, ipCnt.aa);
+    LogMessage("|%8s%8u%8u%8u%8u%8u\n", "nc", tcpCnt.nc, udpCnt.nc, sctpCnt.nc, icmpCnt.nc, ipCnt.nc);
+    LogMessage("|%8s%8u%8u%8u%8u%8u\n", "s+d", tcpCnt.sd, udpCnt.sd, sctpCnt.sd, icmpCnt.sd, ipCnt.sd);
     LogMessage("+----------------------------------------------------------------------------\n");
 
     ///print_rule_index_map( ruleIndexMap );
@@ -6343,6 +6371,18 @@ static int GetChecksumFlags(char *args)
             negative_flags |= CHECKSUM_FLAG__UDP;
             got_negative_flag = 1;
         }
+        else if (strcasecmp(toks[i], CHECKSUM_MODE_OPT__SCTP) == 0)
+        {
+            positive_flags |= CHECKSUM_FLAG__SCTP;
+            negative_flags &= ~CHECKSUM_FLAG__SCTP;
+            got_positive_flag = 1;
+        }
+        else if (strcasecmp(toks[i], CHECKSUM_MODE_OPT__NO_SCTP) == 0)
+        {
+            positive_flags &= ~CHECKSUM_FLAG__SCTP;
+            negative_flags |= CHECKSUM_FLAG__SCTP;
+            got_negative_flag = 1;
+        }
         else if (strcasecmp(toks[i], CHECKSUM_MODE_OPT__ICMP) == 0)
         {
             positive_flags |= CHECKSUM_FLAG__ICMP;
@@ -7365,7 +7405,7 @@ void ConfigFlowbitsSize(SnortConfig *sc, char *args)
 /****************************************************************************
  *
  * Purpose: Parses a protocol plus a list of ports.
- *          The protocol should be "udp" or "tcp".
+ *          The protocol should be "tcp", "udp", or "sctp".
  *          The ports list should be a list of numbers or pairs of numbers.
  *          Each element of the list is separated by a space character.
  *          Each pair of numbers is separated by a colon character.
@@ -7402,7 +7442,7 @@ void ConfigIgnorePorts(SnortConfig *sc, char *args)
 
     protocol = GetRuleProtocol(toks[0]);
 
-    if ( !(protocol == IPPROTO_TCP || protocol == IPPROTO_UDP) )
+    if ( !(protocol == IPPROTO_TCP || protocol == IPPROTO_UDP || protocol == IPPROTO_SCTP) )
     {
         ParseError("Invalid protocol: %s.", toks[0]);
     }
@@ -7414,10 +7454,20 @@ void ConfigIgnorePorts(SnortConfig *sc, char *args)
 
         for ( p = lo_port; p <= hi_port; p++ )
         {
-            if (protocol == IPPROTO_TCP)
-                sc->ignore_ports[p] |= PROTO_BIT__TCP;
-            else if (protocol == IPPROTO_UDP)
-                sc->ignore_ports[p] |= PROTO_BIT__UDP;
+            switch (protocol)
+            {
+                case IPPROTO_TCP:
+                    sc->ignore_ports[p] |= PROTO_BIT__TCP;
+                    break;
+
+                case IPPROTO_UDP:
+                    sc->ignore_ports[p] |= PROTO_BIT__UDP;
+                    break;
+
+                case IPPROTO_SCTP:
+                    sc->ignore_ports[p] |= PROTO_BIT__SCTP;
+                    break;
+            }
         }
     }
 
@@ -9146,6 +9196,9 @@ static void ParseRule(SnortConfig *sc, SnortPolicy *p, char *args,
             case IPPROTO_UDP:
                 sc->ip_proto_array[IPPROTO_UDP] = 1;
                 break;
+            case IPPROTO_SCTP:
+                sc->ip_proto_array[IPPROTO_SCTP] = 1;
+                break;
             case IPPROTO_ICMP:
                 sc->ip_proto_array[IPPROTO_ICMP] = 1;
                 sc->ip_proto_array[IPPROTO_ICMPV6] = 1;
@@ -11156,22 +11209,27 @@ static rule_port_tables_t * PortTablesNew(void)
     /* No content rule objects */
     rpt->tcp_nocontent = PortObjectNew();
     if (rpt->tcp_nocontent == NULL)
-        ParseError("ParseRulesFile nocontent PortObjectNew() failed\n");
+        ParseError("ParseRulesFile tcp nocontent PortObjectNew() failed\n");
     PortObjectAddPortAny(rpt->tcp_nocontent);
 
     rpt->udp_nocontent = PortObjectNew();
     if (rpt->udp_nocontent == NULL)
-        ParseError("ParseRulesFile nocontent PortObjectNew() failed\n");
+        ParseError("ParseRulesFile udp nocontent PortObjectNew() failed\n");
     PortObjectAddPortAny(rpt->udp_nocontent);
 
+    rpt->sctp_nocontent = PortObjectNew();
+    if (rpt->sctp_nocontent == NULL)
+        FatalError("ParseRulesFile sctp nocontent PortObjectNew() failed\n");
+    PortObjectAddPortAny(rpt->sctp_nocontent);
+
     rpt->icmp_nocontent = PortObjectNew();
     if (rpt->icmp_nocontent == NULL)
-        ParseError("ParseRulesFile nocontent PortObjectNew() failed\n");
+        ParseError("ParseRulesFile icmp nocontent PortObjectNew() failed\n");
     PortObjectAddPortAny(rpt->icmp_nocontent);
 
     rpt->ip_nocontent = PortObjectNew();
     if (rpt->ip_nocontent == NULL)
-        ParseError("ParseRulesFile nocontent PortObjectNew() failed\n");
+        ParseError("ParseRulesFile ip nocontent PortObjectNew() failed\n");
     PortObjectAddPortAny(rpt->ip_nocontent);
 
     /* Create the Any-Any Port Objects for each protocol */
@@ -11185,6 +11243,11 @@ static rule_port_tables_t * PortTablesNew(void)
         ParseError("ParseRulesFile udp any-any PortObjectNew() failed\n");
     PortObjectAddPortAny(rpt->udp_anyany);
 
+    rpt->sctp_anyany = PortObjectNew();
+    if (rpt->sctp_anyany == NULL)
+        FatalError("ParseRulesFile sctp any-any PortObjectNew() failed\n");
+    PortObjectAddPortAny(rpt->sctp_anyany);
+
     rpt->icmp_anyany = PortObjectNew();
     if (rpt->icmp_anyany == NULL)
         ParseError("ParseRulesFile icmp any-any PortObjectNew() failed\n");
@@ -11213,6 +11276,15 @@ static rule_port_tables_t * PortTablesNew(void)
     if (rpt->udp_dst == NULL)
         ParseError("ParseRulesFile udp-dst PortTableNew() failed\n");
 
+    /* Create the sctp Rules PortTables */
+    rpt->sctp_src = PortTableNew();
+    if (rpt->sctp_src == NULL)
+        FatalError("ParseRulesFile sctp-src PortTableNew() failed\n");
+
+    rpt->sctp_dst = PortTableNew();
+    if (rpt->sctp_dst == NULL)
+        FatalError("ParseRulesFile sctp-dst PortTableNew() failed\n");
+
     /* Create the icmp Rules PortTables */
     rpt->icmp_src = PortTableNew();
     if (rpt->icmp_src == NULL)
@@ -11239,6 +11311,8 @@ static rule_port_tables_t * PortTablesNew(void)
     rpt->tcp_dst->pt_lrc = DEFAULT_LARGE_RULE_GROUP;
     rpt->udp_src->pt_lrc = DEFAULT_LARGE_RULE_GROUP;
     rpt->udp_dst->pt_lrc = DEFAULT_LARGE_RULE_GROUP;
+    rpt->sctp_src->pt_lrc = DEFAULT_LARGE_RULE_GROUP;
+    rpt->sctp_dst->pt_lrc = DEFAULT_LARGE_RULE_GROUP;
     rpt->icmp_src->pt_lrc= DEFAULT_LARGE_RULE_GROUP;
     rpt->icmp_dst->pt_lrc= DEFAULT_LARGE_RULE_GROUP;
     rpt->ip_src->pt_lrc  = DEFAULT_LARGE_RULE_GROUP;
@@ -11271,6 +11345,17 @@ static void PortTablesFinish(rule_port_tables_t *port_tables, FastPatternConfig
     finish_portlist_table(fp, "udp src", port_tables->udp_src);
     finish_portlist_table(fp, "udp dst", port_tables->udp_dst);
 
+    /* SCTP-SRC */
+    if (fpDetectGetDebugPrintRuleGroupsCompiled(fp))
+    {
+        LogMessage("*** SCTP-Any-Any Port List\n");
+        PortObjectPrintEx(port_tables->sctp_anyany,
+                          rule_index_map_print_index);
+    }
+
+    finish_portlist_table(fp, "sctp src", port_tables->sctp_src);
+    finish_portlist_table(fp, "sctp dst", port_tables->sctp_dst);
+
     /* ICMP-SRC */
     if (fpDetectGetDebugPrintRuleGroupsCompiled(fp))
     {
@@ -11295,10 +11380,12 @@ static void PortTablesFinish(rule_port_tables_t *port_tables, FastPatternConfig
 
     RuleListSortUniq(port_tables->tcp_anyany->rule_list);
     RuleListSortUniq(port_tables->udp_anyany->rule_list);
+    RuleListSortUniq(port_tables->sctp_anyany->rule_list);
     RuleListSortUniq(port_tables->icmp_anyany->rule_list);
     RuleListSortUniq(port_tables->ip_anyany->rule_list);
     RuleListSortUniq(port_tables->tcp_nocontent->rule_list);
     RuleListSortUniq(port_tables->udp_nocontent->rule_list);
+    RuleListSortUniq(port_tables->sctp_nocontent->rule_list);
     RuleListSortUniq(port_tables->icmp_nocontent->rule_list);
     RuleListSortUniq(port_tables->ip_nocontent->rule_list);
 }
@@ -11356,6 +11443,10 @@ void PortTablesFree(rule_port_tables_t *port_tables)
         PortTableFree(port_tables->udp_src);
     if (port_tables->udp_dst)
         PortTableFree(port_tables->udp_dst);
+    if (port_tables->sctp_src)
+        PortTableFree(port_tables->sctp_src);
+    if (port_tables->sctp_dst)
+        PortTableFree(port_tables->sctp_dst);
     if (port_tables->icmp_src)
         PortTableFree(port_tables->icmp_src);
     if (port_tables->icmp_dst)
@@ -11369,6 +11460,8 @@ void PortTablesFree(rule_port_tables_t *port_tables)
         PortObjectFree(port_tables->tcp_anyany);
     if (port_tables->udp_anyany)
         PortObjectFree(port_tables->udp_anyany);
+    if (port_tables->sctp_anyany)
+        PortObjectFree(port_tables->sctp_anyany);
     if (port_tables->icmp_anyany)
         PortObjectFree(port_tables->icmp_anyany);
     if (port_tables->ip_anyany)
@@ -11378,6 +11471,8 @@ void PortTablesFree(rule_port_tables_t *port_tables)
         PortObjectFree(port_tables->tcp_nocontent);
     if (port_tables->udp_nocontent)
         PortObjectFree(port_tables->udp_nocontent);
+    if (port_tables->sctp_nocontent)
+        PortObjectFree(port_tables->sctp_nocontent);
     if (port_tables->icmp_nocontent)
         PortObjectFree(port_tables->icmp_nocontent);
     if (port_tables->ip_nocontent)
@@ -11912,7 +12007,8 @@ static void IntegrityCheckRules(SnortConfig *sc)
             }
 
             if ((rtn->proto == IPPROTO_TCP) || (rtn->proto == IPPROTO_UDP)
-                    || (rtn->proto == IPPROTO_ICMP) || (rtn->proto == ETHERNET_TYPE_IP))
+                    || (rtn->proto == IPPROTO_SCTP) || (rtn->proto == IPPROTO_ICMP)
+                    || (rtn->proto == ETHERNET_TYPE_IP))
             {
                 //do operation
                 ofl_idx = otn->opt_func;
diff --git a/src/plugbase.c b/src/plugbase.c
index 836eb09..ddad8b0 100644
--- a/src/plugbase.c
+++ b/src/plugbase.c
@@ -94,6 +94,11 @@
 #include "detection-plugins/sp_base64_data.h"
 #include "detection-plugins/sp_pkt_data.h"
 #include "detection-plugins/sp_asn1.h"
+#include "detection-plugins/sp_sctp_chunk_type.h"
+#include "detection-plugins/sp_sctp_chunk_flags.h"
+#include "detection-plugins/sp_sctp_chunk_field.h"
+#include "detection-plugins/sp_sctp_num_chunks.h"
+#include "detection-plugins/sp_sctp_cause_code.h"
 #ifdef ENABLE_REACT
 #include "detection-plugins/sp_react.h"
 #endif
@@ -203,6 +208,11 @@ void RegisterRuleOptions(void)
     SetupFTPBounce();
     SetupUriLenCheck();
     SetupCvs();
+    SctpChunkTypeSetup();
+    SctpChunkFlagsSetup();
+    SctpChunkFieldSetup();
+    SctpNumChunksSetup();
+    SctpCauseCodeSetup();
 }
 
 /****************************************************************************
@@ -386,7 +396,7 @@ void DumpRuleOptions(void)
 
     while (node != NULL)
     {
-        LogMessage("%-13s:      %p\n", node->keyword, (void *)node->vfunc);
+        LogMessage("%-16s:      %p\n", node->keyword, (void *)node->vfunc);
         node = node->next;
     }
 
@@ -832,7 +842,7 @@ void DumpPreprocessors(void)
 
     while (node != NULL)
     {
-        LogMessage("%-13s:       %p\n", node->keyword, node->config_vfunc);
+        LogMessage("%-20s:       %p\n", node->keyword, node->config_vfunc);
         node = node->next;
     }
 
@@ -1733,7 +1743,7 @@ void DumpOutputPlugins(void)
     LogMessage("-------------------------------------------------\n");
     while(idx != NULL)
     {
-        LogMessage("%-13s:       %p\n", idx->keyword, idx->config_vfunc);
+        LogMessage("%-19s:       %p\n", idx->keyword, idx->config_vfunc);
         idx = idx->next;
     }
     LogMessage("-------------------------------------------------\n\n");
diff --git a/src/plugin_enum.h b/src/plugin_enum.h
index edc75a8..668419b 100644
--- a/src/plugin_enum.h
+++ b/src/plugin_enum.h
@@ -62,6 +62,10 @@ enum {
     PLUGIN_FLOWBIT,
     PLUGIN_FILE_DATA,
     PLUGIN_BASE64_DECODE,
+    PLUGIN_SCTP_CHUNK_TYPE,
+    PLUGIN_SCTP_CHUNK_FLAGS,
+    PLUGIN_SCTP_NUM_CHUNKS,
+    PLUGIN_SCTP_CAUSE_CODE,
     PLUGIN_MAX  /* sentinel value */
 };
 
diff --git a/src/preprocessors/Stream5/Makefile.am b/src/preprocessors/Stream5/Makefile.am
index 5026540..015b315 100644
--- a/src/preprocessors/Stream5/Makefile.am
+++ b/src/preprocessors/Stream5/Makefile.am
@@ -8,6 +8,8 @@ snort_stream5_tcp.c \
 snort_stream5_tcp.h \
 snort_stream5_udp.c \
 snort_stream5_udp.h \
+snort_stream5_sctp.c \
+snort_stream5_sctp.h \
 snort_stream5_icmp.c \
 snort_stream5_icmp.h \
 snort_stream5_ip.c \
@@ -22,6 +24,7 @@ stream5_common.h
 libstream5_a_LIBADD = \
 snort_stream5_tcp.o \
 snort_stream5_udp.o \
+snort_stream5_sctp.o \
 snort_stream5_icmp.o \
 snort_stream5_ip.o \
 snort_stream5_session.o \
